உள்ளடக்கத்திற்குச் செல்க

MoonDreamNext Batch

ஒருங்கிணை

மாடல் id moondream-next/batch
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/moondream-next/batch?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

இந்தக் கோரிக்கை: ≈$0.002 2 API கிரெடிட்கள் இந்தப் பக்கத்தில் இயக்குங்கள்

API விசையைப் பெறுக
Moondream பார்வை #multimodal

ஒரே ப்ராம்ப்ட்டை ஒரே நேரத்தில் பல படங்களுக்குப் பயன்படுத்தி, தலைப்புரைகளைப் பட்டியலாகவும் JSON கோப்பாகவும் வழங்குகிறது

Moondream · தரவு (JSON)

உங்கள் முதல் முடிவு இங்கே வரும்

கீழே ஒரு கோரிக்கையை உருவாக்கி, உங்கள் API விசையுடன் இயக்குங்கள். வெளியீடுகள் எங்கள் சேமிப்பகத்தில் நகலெடுக்கப்பட்டு, நிரந்தரமாக அல்லது இலவசமாக 7 நாட்கள் வைக்கப்படும்.

கோரிக்கையை உருவாக்கு

மாடல் ஸ்கீமாவிலிருந்து கட்டுப்பாடுகள் உருவாக்கப்படுகின்றன. அவற்றை மாற்றும்போது குறியீடும் விலையும் புதுப்பிக்கப்படும்.

•தேவை

ஒவ்வொரு படத்திற்கும் பயன்படுத்தப்படும் பகிரப்பட்ட ப்ராம்ப்ட்.

•தேவை

செயலாக்கத்திற்குச் சமர்ப்பிக்கப்பட்ட பட URL-கள்; அதிகபட்சம் 32 படங்கள்.

மேம்பட்டவை max_tokens
இயல்புநிலை 64

உருவாக்கப்படும் டோக்கன்களின் அதிகபட்ச வரம்பு.

POST /run/moondream-next/batch?wait=20 விலை → $0.002
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/moondream-next/batch?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

இந்தக் கோரிக்கையை இயக்கு

உங்கள் key இந்த உலாவியில் மட்டுமே இருக்கும்: அது Doitong API-க்கு மட்டும் அனுப்பப்படும்; Remember-ஐத் தேர்ந்தெடுத்தால் மட்டுமே (localStorage)-ல் சேமிக்கப்படும். API விசையைப் பெறுங்கள்

MoonDreamNext Batch பற்றி

`images_data_url`-இல் வழங்கப்பட்ட பட URL-களின் பட்டியலில் ஒற்றை `prompt`-ஐ இயக்குகிறது; ஒரு கோரிக்கைக்கு 32 படங்கள் வரை ஏற்கும். `max_tokens` 1 முதல் 512 வரை, இயல்புநிலை 64. முடிவு தலைப்புகளின் வரிசையும், கோப்புப்பெயர்களைத் தலைப்புகளுடன் இணைக்கும் JSON கோப்புக்கான இணைப்பும் ஆகும்.

அளவுருக்கள்

பெயர்வகை இயல்புநிலைஅனுமதிக்கப்பட்டது விளக்கம்
images_data_urlதேவை
வகைstring
செயலாக்கத்திற்குச் சமர்ப்பிக்கப்பட்ட பட URL-கள்; அதிகபட்சம் 32 படங்கள்.
promptதேவை
வகைstring
ஒவ்வொரு படத்திற்கும் பயன்படுத்தப்படும் பகிரப்பட்ட ப்ராம்ப்ட்.
max_tokensவிருப்பத்தேர்வு
வகைinteger
இயல்புநிலை64
1 – 512
உருவாக்கப்படும் டோக்கன்களின் அதிகபட்ச வரம்பு.
தேவை

வெளியீடு

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "moondream-next/batch",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2,
    "usd": "0.002",
    "charged": 2,
    "refunded": 0
  },
  "input": {
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "captions_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "outputs": [
      "string"
    ]
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
உங்கள் கோப்புகள், உங்கள் தேர்வுஒவ்வொரு outputs[].url-ம் எங்கள் சேமிப்பகத்தில் உள்ள ஒரு நகல்: நிரந்தரமாக (GB-மாதத்திற்கு கட்டணம்) அல்லது உங்கள் கணக்கு அமைப்பு அல்லது ?storage= மூலம் இலவசமாக 7 நாட்கள் வைக்கப்படும்.
ஒவ்வொரு மாடலிலும் ஒரே வடிவம்படங்கள், வீடியோ மற்றும் ஆடியோ ஆகிய அனைத்திற்குமான type, url, content_type, width, height மற்றும் duration. output என்பது மாதிரியின் சொந்த முடிவு பொருளாகும்.
வெளியீட்டின் புலங்கள்
captions_file
object {url, content_type, file_name, file_size}கோப்புப் பெயர்களையும் தலைப்புகளையும் இணைக்கும், உருவாக்கப்பட்ட JSON தலைப்புக் கோப்பின் URL.
outputs
array of stringஉருவாக்கப்பட்ட தலைப்புகள், பட்டியலாகத் திருப்பியளிக்கப்படும்.

மேலும் மாதிரிகள்: பார்வை

AI ஏஜெண்டுகளுக்கு: இந்தப் பக்கம் Markdown வடிவில் இங்கே உள்ளது https://doitong.com/ta/developers/models/moondream-next/batch.md. அனைத்து மாடல்களும் வழிகாட்டிகளும்: https://doitong.com/developers/llms.txt